<div
  class="full-width"
  [formGroup]="formGroup"
  [attr.data-test-field-name]="fieldName"
>
  <ng-template #suffixIcon>
    @if (showClearButton) {
      <i
        nz-icon
        nzTheme="fill"
        nzType="close-circle"
        class="input-button"
        (click)="clearInputAndShowList()"
      ></i>
    } @else {
      <i nz-icon nzType="search" class="input-button"></i>
    }
  </ng-template>
  @if (showSearchIcon) {
    <nz-input-group
      [nzSuffix]="showSearchIcon ? suffixIcon : undefined"
      [nzSize]="size"
    >
      <ng-container *ngTemplateOutlet="input"></ng-container>
    </nz-input-group>
  } @else {
    <input
      #textInput
      [placeholder]="placeholder ?? ''"
      [formControlName]="fieldName"
      nz-input
      [nzAutocomplete]="autocomplete"
      [type]="inputType"
    />
  }
  <ng-template #input>
    <input
      #textInput
      [formControlName]="fieldName"
      [placeholder]="placeholder ?? ''"
      nz-input
      (change)="resetAutocompleteOptions()"
      [nzAutocomplete]="autocomplete"
      [type]="inputType"
    />
    <div class="m-l-20 m-r-15 flex">
      <nz-spin [nzSize]="'small'" [nzSpinning]="isLoading$ | async"></nz-spin>
    </div>
  </ng-template>
  <nz-autocomplete
    #autocomplete
    [nzDataSource]="visibleOptionLabels"
    (selectionChange)="onSelectOption($event)"
  >
  </nz-autocomplete>
  @for (error of errors; track error) {
    <div class="has-error">
      <span
        [attr.data-test-error-key]="error.provideI18nKey()"
        class="sqtm-core-error-message"
      >
        {{ error.provideI18nKey() | translate }}
      </span>
    </div>
  }
</div>
